[PhAzE] Plugins for Unraid 5/6


3606 posts in this topic Last Reply

Recommended Posts

Ok, transmission updater works fine. What's happening is that the build on slacky.eu has not been updated to match the new source code released.  When the slackware package is updated by it's maintainer, unraid users will get the update notification. This is because its not compiled on unraid during install, it installs the pre compiled package.

Link to post
  • Replies 3.6k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Just a quick update, unRaid 6.4 looks like it will be using nginx for the web front end over emhttp (which is a good switch IMO) but that means there is a good chance all of my plugins will not work o

Important info regarding unRAID 6.2 and beyond.          ***unRAID 6.2 Compatible*** Hello again!   I've done another overhaul of the plugins

Unfortunately, @PhAzE no longer seems to be active at all within these forums.  His last time online was March 23, and his last posting was on February 22.  I'm sure I speak for all of us in hoping th

Posted Images

Is there any way to add new providers (mainly torrents) to SickBeard? I've tried copying the provider files from other builds (junalmeida's) and then updating the list of providers in __init__.py but then SickBeard fails to start. It seems there are many other places that would need updating.

 

I've also tried installing the other build, but can't get that to start either. I would really like some added torrent providers :P

 

EDIT:

Wow, I actually managed it. I'm going to provide a list of files that I had to update:

 

There are many lines that need copying in these files and the provider .py files need copying to \sickbeard\providers\

 

Everything seems to be working fine. Hope this can help someone.

 

NOPE NOPE NOPE :(

Link to post

Was there ever a fix found for headphones stopping unraid webgui from loading besides deleting it's cookies after every use?

 

Also it's update feature is broken when using this version of the plugin. Tried a clean install and same issue. unRAID states it's on version: 88af84579c9aa011134f9f1707b7ecc536c49e58 but headphones webgui shows:

That error with version not showing in headphones is a symptom of the influencer plugin, mine had fixed that problem. Are you sure you're using my plugin posted on page one of this thread?

Link to post

Hey Phaze thanks so much for the plugins.

 

I have few problems i ran into

 

1. Sabnzbd plugin is stuck to 8080 although i'm running it on 8081. Everything works fine but just can't change port in settings page.

2. NZBDrone plugin is stuck to stopped although the program running fine too.

3. Posted this on inflleuncers topic but how would i go about running two sickbeards plugins. I want one to be master and the other to be anime. I don't think just case changing plg name but i need second plg installed in the config/plugins  folder.

 

There was an alternative by same developer of the anime branch XDM:https://github.com/lad1337/XDM but haven't seen anyone pick it up

Link to post

Was there ever a fix found for headphones stopping unraid webgui from loading besides deleting it's cookies after every use?

 

Also it's update feature is broken when using this version of the plugin. Tried a clean install and same issue. unRAID states it's on version: 88af84579c9aa011134f9f1707b7ecc536c49e58 but headphones webgui shows:

That error with version not showing in headphones is a symptom of the influencer plugin, mine had fixed that problem. Are you sure you're using my plugin posted on page one of this thread?

 

The cookie problem appears to only be in Safari, so not the end of the world.

 

It is definitely your plugin, but there might be some files leftover from the influencer install. Perhaps some some in the data folder is interfering, as the install folder comes straight from a clean github pull.

 

I'll play around with it a bit more...

Link to post

Was there ever a fix found for headphones stopping unraid webgui from loading besides deleting it's cookies after every use?

 

Also it's update feature is broken when using this version of the plugin. Tried a clean install and same issue. unRAID states it's on version: 88af84579c9aa011134f9f1707b7ecc536c49e58 but headphones webgui shows:

That error with version not showing in headphones is a symptom of the influencer plugin, mine had fixed that problem. Are you sure you're using my plugin posted on page one of this thread?

 

The cookie problem appears to only be in Safari, so not the end of the world.

 

It is definitely your plugin, but there might be some files leftover from the influencer install. Perhaps some some in the data folder is interfering, as the install folder comes straight from a clean github pull.

 

I'll play around with it a bit more...

OK so you had influencer installed before. That explains it. Influence misses the git files during install which is why headphones can't find its own version. To fix this, delete the install directory but not your config directory. Let my plugin reinstall headphones and the problem should be fixed. This specifically happens because you have your install directory on a hard drive so its not reinstalled on each boot.

 

Myself, I typically have install directory set to the default /usr/local/APPNAME and the config directory set to some place persistent.  The reason is, the actual install directory files are not important to maintain and get reinstalled on a reboot. All the pertinent information like config settings and databases are in the config directory.  This also ensures a clean slate for the install directory each reboot.  All of my plugins are capable of maintaining your information if you have the config directory to hard drive and install directory to default (ram drive).

Link to post

Hey Phaze thanks so much for the plugins.

 

I have few problems i ran into

 

1. Sabnzbd plugin is stuck to 8080 although i'm running it on 8081. Everything works fine but just can't change port in settings page.

2. NZBDrone plugin is stuck to stopped although the program running fine too.

3. Posted this on inflleuncers topic but how would i go about running two sickbeards plugins. I want one to be master and the other to be anime. I don't think just case changing plg name but i need second plg installed in the config/plugins  folder.

 

There was an alternative by same developer of the anime branch XDM:https://github.com/lad1337/XDM but haven't seen anyone pick it up

1. Can you tell me which version of unraid you are using, also do you have SSL set to on?  If so, what are your settings set to for each of the ports?

2. That's really strange. I would give your system a reboot as it seems to be a problem with the pid file. This happens if you restart nzbdrone from inside the app rather than using my plugin. Using the app to restart prevents the pid file from being created.

3. After I add the ability to change repo with my plugins I'll work on getting multiple instances but it's a trickier process to set up. Might just make an anime sickbeard version instead.

Link to post

I've made some changes to all plugins. Specifically, the gui will not collect the 'latest version  number' for the app if it is not installed. Secondly, I've moved them all to a new header "PhAzE Plugins" instead of the old 'unplugged' header.

 

Also, FlexGet plugin is complete (I believe) and i'm just looking for a few testers willing to try it out to make sure i've got everything it needs.

Link to post

Hey Phaze thanks so much for the plugins.

 

I have few problems i ran into

 

1. Sabnzbd plugin is stuck to 8080 although i'm running it on 8081. Everything works fine but just can't change port in settings page.

2. NZBDrone plugin is stuck to stopped although the program running fine too.

3. Posted this on inflleuncers topic but how would i go about running two sickbeards plugins. I want one to be master and the other to be anime. I don't think just case changing plg name but i need second plg installed in the config/plugins  folder.

 

There was an alternative by same developer of the anime branch XDM:https://github.com/lad1337/XDM but haven't seen anyone pick it up

1. Can you tell me which version of unraid you are using, also do you have SSL set to on?  If so, what are your settings set to for each of the ports?

2. That's really strange. I would give your system a reboot as it seems to be a problem with the pid file. This happens if you restart nzbdrone from inside the app rather than using my plugin. Using the app to restart prevents the pid file from being created.

3. After I add the ability to change repo with my plugins I'll work on getting multiple instances but it's a trickier process to set up. Might just make an anime sickbeard version instead.

1. I'm still on 5.05 not using ssl but it is set to port 9090

 

2. Give that a go maybe it will fix the problem with sabnzbd.

 

3. Sounds awesome i'm looking forward to it

Link to post

I can second the port issue on the sab plugin.

 

I run mine on port 8082

 

Changing it in the config page and then hitting apply will show it again as 8080 after the refresh.

 

However it is changing it in the actual sabnzbd.cfg so this appears to mainly be just a display issue with the config page just not displaying the port change even though it has been changed.

 

Edit: Unraid 5.05

Link to post

I can second the port issue on the sab plugin.

 

I run mine on port 8082

 

Changing it in the config page and then hitting apply will show it again as 8080 after the refresh.

 

However it is changing it in the actual sabnzbd.cfg so this appears to mainly be just a display issue with the config page just not displaying the port change even though it has been changed.

 

Edit: Unraid 5.05

Thanks, that helps. That means the problem is in the javascript part that reads from the config. I'll fix and update the plugin for that.

Link to post

Nice job on all of the plugins.

 

I just updated them, and see that you moved them under a new PhAzE header, which I can appreciate.  Any tips on how to get rid of the old Influencer header now that there are no plugins there?

 

Thanks again for all the hard work!

 

Mike

Link to post

Nice job on all of the plugins.

 

I just updated them, and see that you moved them under a new PhAzE header, which I can appreciate.  Any tips on how to get rid of the old Influencer header now that there are no plugins there?

 

Thanks again for all the hard work!

 

Mike

A reboot should get rid of that

Link to post

I hope I can ask this here.

 

However just wondering what is the difference or is better to use these list of addons, or that control panel plugin?

 

I am fine installing plugins, however it seems the community is all over the place on how, who, and where from to install plugins... complicated...

Link to post

I hope I can ask this here.

 

However just wondering what is the difference or is better to use these list of addons, or that control panel plugin?

 

I am fine installing plugins, however it seems the community is all over the place on how, who, and where from to install plugins... complicated...

The reason for this is because of dependencies for applications.  If you install a plugin from one dev and it uses python 2.6.6 and then install another plugin fora nother application by another dev, and it uses python 2.7.5, one will install and the other will get wiped.  This could cause instabilities in whichever app doesn't have the version of python (for example) it required installed.  If you use plugins mostly from one dev, you should be fine, if you need to mix, best to check which dependencies are installed (by looking at the plugin code, they are usually near the top) to see if they are the same versions.

Link to post

I can second the port issue on the sab plugin.

 

I run mine on port 8082

 

Changing it in the config page and then hitting apply will show it again as 8080 after the refresh.

 

However it is changing it in the actual sabnzbd.cfg so this appears to mainly be just a display issue with the config page just not displaying the port change even though it has been changed.

 

Edit: Unraid 5.05

I can't seem to replicate the problem on my server.  Can you gather some info for me?  Specifically the following:

 

1. go to /boot/config/plugins/sabnzbd/sabnzbd.cfg, what does it have in there under PORT=?

2. go to your config directory, and look in sabnzbd.ini and there should be an entry for port = ?

3. when you hit 'apply' on the plugin page does that update both to your new port number? (change the port to a new one to be sure)

 

 

Link to post

I can going to move over to the Unraid 6 version as this thread has the proper plugins for it. I have nothing done yet in 5 minus the array setup.

 

Can't wait t get done work now.

 

This thread has plugins for both 5 and 6, however the goal with version 6 is to eliminate plugins as much as possible (though people like PhAzE will likely keep them updated for those who really want it). We are expecting a new 6 beta later this month that looks like it may introduce a lot of changes.

 

If you are brand new to UnRAID there may be value in sticking with 5.0.5 which is stable to get your feet wet - and you can then jump to 6.0 when you are ready. Both 5/6 are stable as far as the data storage/protection model, but the betas are likely going to jump around a bit until things get stabilized on the virtualization front (i.e. multiple options are being tested, but a final solution hasn't been determined yet for the 6.0 final).

 

Further to PhAzE's comments - I would suggest you stick with his plugins. PhAzE is the only one who is actively working to consolidate all necessary plugins for 5/6 and you can trust he is making sure they all play nicely together.

Link to post

I can going to move over to the Unraid 6 version as this thread has the proper plugins for it. I have nothing done yet in 5 minus the array setup.

 

Can't wait t get done work now.

 

This thread has plugins for both 5 and 6, however the goal with version 6 is to eliminate plugins as much as possible (though people like PhAzE will likely keep them updated for those who really want it). We are expecting a new 6 beta later this month that looks like it may introduce a lot of changes.

 

If you are brand new to UnRAID there may be value in sticking with 5.0.5 which is stable to get your feet wet - and you can then jump to 6.0 when you are ready. Both 5/6 are stable as far as the data storage/protection model, but the betas are likely going to jump around a bit until things get stabilized on the virtualization front (i.e. multiple options are being tested, but a final solution hasn't been determined yet for the 6.0 final).

 

Further to PhAzE's comments - I would suggest you stick with his plugins. PhAzE is the only one who is actively working to consolidate all necessary plugins for 5/6 and you can trust he is making sure they all play nicely together.

I've also been in contact with some of the unraid devs with some feedback on things that would be useful in their new plugin manager.  I'm actually going to try and write a more generalized template for plugins that would be able to hook into their manager so other plugin devs can easily setup their applications while keeping compatibility.  I'm jsut in the thought process of this though, so if they make major changes then I may be starting all over from scratch again.

Link to post

Sounds good, I will stick with the version I am on. As it is running stable, I just want to get my plugins up and running tonight.

 

My array is good, now just time to start moving data, and getting Plex running.

 

I am currently using Media Browser 3 on my HTPC, however I am thinking it's time to head back to Plex.

Link to post

I can second the port issue on the sab plugin.

 

I run mine on port 8082

 

Changing it in the config page and then hitting apply will show it again as 8080 after the refresh.

 

However it is changing it in the actual sabnzbd.cfg so this appears to mainly be just a display issue with the config page just not displaying the port change even though it has been changed.

 

Edit: Unraid 5.05

I can't seem to replicate the problem on my server.  Can you gather some info for me?  Specifically the following:

 

1. go to /boot/config/plugins/sabnzbd/sabnzbd.cfg, what does it have in there under PORT=?

2. go to your config directory, and look in sabnzbd.ini and there should be an entry for port = ?

3. when you hit 'apply' on the plugin page does that update both to your new port number? (change the port to a new one to be sure)

1. port says 8081

2. port says 8081

3. both change but sabnzbd setting configuration stays stuck on 8080.

To be honest not big deal just means need type it in then click.

 

Unrelated i'm trying to find nzbmegasearch ApiModule.py which needs a tvrage url change but can't find as only thing in config directory is the config.ini

Link to post

I can second the port issue on the sab plugin.

 

I run mine on port 8082

 

Changing it in the config page and then hitting apply will show it again as 8080 after the refresh.

 

However it is changing it in the actual sabnzbd.cfg so this appears to mainly be just a display issue with the config page just not displaying the port change even though it has been changed.

 

Edit: Unraid 5.05

I can't seem to replicate the problem on my server.  Can you gather some info for me?  Specifically the following:

 

1. go to /boot/config/plugins/sabnzbd/sabnzbd.cfg, what does it have in there under PORT=?

2. go to your config directory, and look in sabnzbd.ini and there should be an entry for port = ?

3. when you hit 'apply' on the plugin page does that update both to your new port number? (change the port to a new one to be sure)

1. port says 8081

2. port says 8081

3. both change but sabnzbd setting configuration stays stuck on 8080.

To be honest not big deal just means need type it in then click.

 

Unrelated i'm trying to find nzbmegasearch ApiModule.py which needs a tvrage url change but can't find as only thing in config directory is the config.ini

Crazy because it only gets the port from one of those two files!

 

Go to root and type:

Find / | grep ApiModule.py

That should locate it for you. It's case sensitive for the .py filename.

Link to post

Only issue I have tonight is with Transmission:

 

Total Storage Usage: 1 MB

Config Directory: 1 MB

WARNING: Your config directory is not persistent and WILL NOT survive a reboot. Please locate the directory on disk for persistency

 

Config directory: /usr/local/transmission

 

huh?

 

 

Link to post

Only issue I have tonight is with Transmission:

 

Total Storage Usage: 1 MB

Config Directory: 1 MB

WARNING: Your config directory is not persistent and WILL NOT survive a reboot. Please locate the directory on disk for persistency

 

Config directory: /usr/local/transmission

 

huh?

 

It's warning you that the config folder is not on either the cache disk or one of the array disks, which means changes will not be kept in-between reboots.

 

Usually the best practice for all plugins is if you have a cache drive create a cache-only share that you can point your config folders to. If you don't have a cache drive, then create a share on one of your data drives and point the various config folders to that.

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.